﻿Imports Wiker.WIDatabase
Imports System.Text

Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim DBInfo As CDatabaseInfo
        Dim Count As Integer
        Dim StrB As StringBuilder

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Calling Select.Clear() ensures we starting with a new select statement. 

        WIDB.Search.Clear()

        ' Select.Table: The 'Main' table from which the data will originate 

        WIDB.Search.Table("tblAddress")

        ' Return number of distinct records 

        WIDB.Search.DistinctCount("Count", "ZipCode")

        ' Select.Execute() prepares the statement to be sent to the Database 

        If Not WIDB.Search.Execute() Then
            Console.WriteLine(String.Format("Failed To Search Table" & vbLf & "{0} - {1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage))
            Return
        End If

        ' Select.Read() reads the next row from the returned data 

        While WIDB.Search.Read()
            StrB = New StringBuilder()

            ' Select.Get obtains the value of the named column via an out parameter 

            WIDB.Search.[Get]("Count", Count)
            StrB.AppendFormat("| {0} |", Count)

            Console.WriteLine(StrB.ToString())
        End While

        ' Good practice is to close the DB when finished 

        WIDB.Close()

    End Sub

End Module
